► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Windowing Classes
3 | Windowing Functions
4 | Editors
5 | Snip and Style Classes
6 | Editor Classes
7 | Editor Functions
8 | WXME Decoding
9 | Preferences
10 | Dynamic Loading
11 | Startup Actions
12 | Platform Dependencies
| Index

▼ | 2 | Windowing Classes

2.1 | area<%>
2.2 | area-container<%>
2.3 | area-container-window<%>
2.4 | button%
2.5 | canvas<%>
2.6 | canvas%
2.7 | check-box%
2.8 | checkable-menu-item%
2.9 | choice%
2.10 | clipboard-client%
2.11 | clipboard<%>
2.12 | combo-field%
2.13 | control<%>
2.14 | column-control-event%
2.15 | control-event%
2.16 | cursor%
2.17 | dialog%
2.18 | event%
2.19 | frame%
2.20 | gauge%
2.21 | group-box-panel%
2.22 | grow-box-spacer-pane%
2.23 | horizontal-pane%
2.24 | horizontal-panel%
2.25 | key-event%
2.26 | labelled-menu-item<%>
2.27 | list-box%
2.28 | list-control<%>
2.29 | menu%
2.30 | menu-bar%
2.31 | menu-item<%>
2.32 | menu-item%
2.33 | menu-item-container<%>
2.34 | message%
2.35 | mouse-event%
2.36 | pane%
2.37 | panel%
2.38 | popup-menu%
2.39 | printer-dc%
2.40 | radio-box%
2.41 | selectable-menu-item<%>
2.42 | separator-menu-item%
2.43 | scroll-event%
2.44 | slider%
2.45 | subarea<%>
2.46 | subwindow<%>
2.47 | tab-panel%
2.48 | text-field%
2.49 | timer%
2.50 | top-level-window<%>
2.51 | vertical-pane%
2.52 | vertical-panel%
2.53 | window<%>

On this page:

get-direction
get-event-type
get-position
set-direction
set-event-type
set-position

Inherited methods:
from event%
get-time-stamp
set-time-stamp

top← prev up next →

> class

> scroll-event% : class?

superclass: event%

A scroll-event% object contains information about a scroll event. An instance of scroll-event% is always provided to on-scroll.

See get-event-type for a list of the scroll event types.

> > constructor

> > (new scroll-event% |
> > | [ | [event-type event-type] |
> > |  | [direction direction] |
> > |  | [position position] |
> > |  | [time-stamp time-stamp]]) |

> → (is-a?/c scroll-event%)

> event-type

> :

> (or/c 'top 'bottom 'line-up 'line-down
> 'page-up 'page-down 'thumb)

> =

> 'thumb

> direction : (or/c 'horizontal 'vertical) = 'vertical
> position : (integer-in 0 10000) = 0
> time-stamp : exact-integer? = 0

See the corresponding get- and set- methods for information about event-type, direction, position, and time-stamp.

> > method

> > (send a-scroll-event get-direction)

> → (or/c 'horizontal 'vertical)

Gets the identity of the scrollbar that was modified by the event, either the horizontal scrollbar or the vertical scrollbar, as 'horizontal or 'vertical, respectively. See also set-direction.

> > method

> > (send a-scroll-event get-event-type)

> →

> (or/c 'top 'bottom 'line-up 'line-down
> 'page-up 'page-down 'thumb)

Returns the type of the event, one of the following:

- 'top — user clicked a scroll-to-top button

- 'bottom — user clicked a scroll-to-bottom button

- 'line-up — user clicked an arrow to scroll up or left one step

- 'line-down — user clicked an arrow to scroll down or right one step

- 'page-up — user clicked an arrow to scroll up or left one page

- 'page-down — user clicked an arrow to scroll down or right one page

- 'thumb — user dragged the scroll position indicator

> > method

> > (send a-scroll-event get-position) → (integer-in 0 10000)

Returns the position of the scrollbar after the action triggering the event. See also set-position.

> > method

> > (send a-scroll-event set-direction direction) → void?

> direction : (or/c 'horizontal 'vertical)

Sets the identity of the scrollbar that was modified by the event, either the horizontal scrollbar or the vertical scrollbar, as 'horizontal or 'vertical, respectively. See also get-direction.

> > method

> > (send a-scroll-event set-event-type type) → void?

> type

> :

> (or/c 'top 'bottom 'line-up 'line-down
> 'page-up 'page-down 'thumb)

Sets the type of the event. See get-event-type for information about each event type.

> > method

> > (send a-scroll-event set-position position) → void?

> position : (integer-in 0 10000)

Records the position of the scrollbar after the action triggering the event. (The scrollbar itself is unaffected). See also get-position.
top← prev up next →